/*
   Attachs an already open file to a write-behind file descriptor
   Randall Maas
   1999
*/

#include "GzIO.h"
#include "LDL.h"

void GzIO_AddCache(int FD, int Cache_FD)
{
   /*
      Description
       All of the pending IOs for the @var{FD} IO channel will be marked to
       write-behind to the @var{Cache_FD} IO channel.
   */

   struct qelem* _IPtr;
   __Gzilla_IO_t* IPtr;
   LDL_foreach (_IPtr, &Gz_SubmitQ)
    {
       IPtr= (__Gzilla_IO_t*)_IPtr;
       if (IPtr->IO.FD != FD) continue;
       IPtr->Cache_FD=Cache_FD;
    }
}
