/*
    IO Request Structures
    Randall Maas
    1999
*/

#ifndef __IOReq_h
# define __IOReq_h
#include <sys/uio.h>
#include <search.h>

typedef struct __IO_req_t
{
   struct __IO_req_t* q_forw, *q_back;
   int Op; //Read(0)/Write(1)
   int FD;
   ssize_t Status;
   size_t Count;
   struct iovec* IOReq;
} __IO_req_t;

extern int __IOQ_run (__IO_req_t* SubmitQ, __IO_req_t** ComplQ,
			  __IO_req_t** FailedQ, fd_set* FDs);
extern void __IO_abort(__IO_req_t* SubmitQ, __IO_req_t* FreeQ, int FD);
extern void FD_bkgnd(int FD);
#endif
